Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.texgen
Class AutoregressiveTexture

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp.objects.ImageAdapter
              de.grogra.texgen.SyntheticTexture
                  de.grogra.texgen.AutoregressiveTexture

All Implemented Interfaces:
  Icon, IconSource, Manageable, Shareable

    public class AutoregressiveTexture

extends SyntheticTexture

Nested Class Summary
`static class` | `AutoregressiveTexture.Type`

Field Summary
`static AutoregressiveTexture.Type` | `$TYPE`
`static SCOType.Field` | `a0$FIELD`
`static SCOType.Field` | `a1$FIELD`
`static SCOType.Field` | `a2$FIELD`
`static SCOType.Field` | `a3$FIELD`
`static SCOType.Field` | `height$FIELD`
`static SCOType.Field` | `noise$FIELD`
`static SCOType.Field` | `width$FIELD`

Fields inherited from interface de.grogra.icon.Icon
`DEFAULT, DISABLED`

Constructor Summary
`AutoregressiveTexture()`

Method Summary
`protected void` | `calculateImageData()`
`protected void` | `createImage()`
`float` | `getA0()`
`float` | `getA1()`
`float` | `getA2()`
`float` | `getA3()`
`java.awt.image.BufferedImage` | `getBufferedImage()`
`int` | `getHeight()`
`ManageableType` | `getManageableType()`
`float` | `getNoise()`
`protected float` | `getPixel(int x, int y)`
`java.awt.Dimension` | `getPreferredIconSize(boolean small)`
`int` | `getWidth()`
`void` | `setA0(float value)`
`void` | `setA1(float value)`
`void` | `setA2(float value)`
`void` | `setA3(float value)`
`void` | `setHeight(int value)`
`void` | `setNoise(float value)`
`protected void` | `setPixel(int x, int y, float value)`
`void` | `setWidth(int value)`

Methods inherited from class de.grogra.texgen.SyntheticTexture
`getNativeImage, isMutable`

Methods inherited from class de.grogra.imp.objects.ImageAdapter
`getIcon, getIconBounds, getIconSource, getImage, getImage, getImageSource, paintIcon, prepareIcon`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final AutoregressiveTexture.Type $TYPE

### a0$FIELD

    public static final SCOType.Field a0$FIELD

### a1$FIELD

    public static final SCOType.Field a1$FIELD

### a2$FIELD

    public static final SCOType.Field a2$FIELD

### a3$FIELD

    public static final SCOType.Field a3$FIELD

### height$FIELD

    public static final SCOType.Field height$FIELD

### noise$FIELD

    public static final SCOType.Field noise$FIELD

### width$FIELD

    public static final SCOType.Field width$FIELD

Constructor Detail

### AutoregressiveTexture

    public AutoregressiveTexture()

Method Detail

### calculateImageData

    protected void calculateImageData()

### createImage

    protected void createImage()

### getA0

    public float getA0()

### getA1

    public float getA1()

### getA2

    public float getA2()

### getA3

    public float getA3()

### getBufferedImage

    public java.awt.image.BufferedImage getBufferedImage()

  Specified by:
    `getBufferedImage` in class `ImageAdapter`

### getHeight

    public int getHeight()

### getManageableType

    public ManageableType getManageableType()

### getNoise

    public float getNoise()

### getPixel

    protected float getPixel(int x,
                             int y)

### getPreferredIconSize

    public java.awt.Dimension getPreferredIconSize(boolean small)

  Specified by:
    `getPreferredIconSize` in interface `IconSource`
  Overrides:
    `getPreferredIconSize` in class `ImageAdapter`

### getWidth

    public int getWidth()

### setA0

    public void setA0(float value)

### setA1

    public void setA1(float value)

### setA2

    public void setA2(float value)

### setA3

    public void setA3(float value)

### setHeight

    public void setHeight(int value)

### setNoise

    public void setNoise(float value)

### setPixel

    protected void setPixel(int x,
                            int y,
                            float value)

### setWidth

    public void setWidth(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD